diff --git a/ldap/servers/slapd/back-ldbm/init.c b/ldap/servers/slapd/back-ldbm/init.c
index 104857466..62a9e8751 100644
--- a/ldap/servers/slapd/back-ldbm/init.c
+++ b/ldap/servers/slapd/back-ldbm/init.c
@@ -74,16 +74,6 @@ ldbm_back_init(Slapi_PBlock *pb)
     /* Initialize the set of instances. */
     li->li_instance_set = objset_new(&ldbm_back_instance_set_destructor);
 
-    /* initialize dblayer  */
-    if (dblayer_init(li)) {
-        slapi_log_err(SLAPI_LOG_CRIT, "ldbm_back_init", "dblayer_init failed\n");
-        goto fail;
-    }
-
-    /* Fill in the fields of the ldbminfo and the dblayer_private
-     * structures with some default values */
-    ldbm_config_setup_default(li);
-
     /* ask the factory to give us space in the Connection object
          * (only bulk import uses this)
          */
@@ -226,7 +216,9 @@ ldbm_back_init(Slapi_PBlock *pb)
     return (0);
 
 fail:
+    /* dblayer init was moved
     dblayer_terminate(li);
+    */
     ldbm_config_destroy(li);
     slapi_pblock_set(pb, SLAPI_PLUGIN_PRIVATE, NULL);
     return (-1);
diff --git a/ldap/servers/slapd/back-ldbm/ldbm_config.c b/ldap/servers/slapd/back-ldbm/ldbm_config.c
index 67a647540..88bd32a2f 100644
--- a/ldap/servers/slapd/back-ldbm/ldbm_config.c
+++ b/ldap/servers/slapd/back-ldbm/ldbm_config.c
@@ -187,6 +187,27 @@ ldbm_config_rangelookthroughlimit_set(void *arg, void *value, char *errorbuf __a
     return retval;
 }
 
+static void *
+ldbm_config_backend_implement_get(void *arg)
+{
+    struct ldbminfo *li = (struct ldbminfo *)arg;
+
+    return (void *)slapi_ch_strdup(li->li_backend_implement);
+}
+
+static int
+ldbm_config_backend_implement_set(void *arg, void *value, char *errorbuf __attribute__((unused)), int phase __attribute__((unused)), int apply)
+{
+    struct ldbminfo *li = (struct ldbminfo *)arg;
+    int retval = LDAP_SUCCESS;
+
+    if (apply) {
+        slapi_ch_free((void **)&(li->li_backend_implement));
+        li->li_backend_implement = slapi_ch_strdup((char *)value);
+    }
+
+    return retval;
+}
 static void *
 ldbm_config_backend_opt_level_get(void *arg)
 {
